//
//  DashboardViewController.h - Vehicle console panel, and visual recorder
//  HA7 logger mini
//  Copyright(C)2015 Toyohiko Togashi tog001@nifty.com
//
//
//  This program is free software; you can redistribute it and/or modify it under the terms of the
//  GNU General Public License as published by the Free Software Foundation; either version 3
//  of the License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
//  without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//  See the GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License along with this program.
//  If not, see <http://www.gnu.org/licenses/>
//
//
//    Update history
//    ---------- ----- -------------------------------------------
//    2015.03.10 v0.0  First cording
//    2015.03.23 v0.5  Commit
//

#import <UIKit/UIKit.h>
#import "CircularGauge.h"
#import "LinerGauge.h"

#define RECORD_PERIOD   60.0
#define FUEL_TANK       37.0
#define SAVE_START_G    3.0

@interface DashboardViewController : UIViewController <UINavigationControllerDelegate, UIImagePickerControllerDelegate> {
    IBOutlet UIView         *cameraOverlayView;
    IBOutlet UISwitch       *recordSw;
    IBOutlet UILabel        *recordSwL;
    IBOutlet UISwitch       *saveSw;
    IBOutlet UILabel        *saveSwL;
    IBOutlet UILabel        *statMsg;
    IBOutlet UILabel        *recordMsg;
    IBOutlet UIView         *mainPanel;
    IBOutlet UIView         *subPanel;

    IBOutlet UILabel        *vss;
    IBOutlet UILabel        *rpm;
    IBOutlet CircularGauge  *rpmG;
    
    IBOutlet UILabel        *effNow;
    IBOutlet LinerGauge     *effNowG;
    IBOutlet UILabel        *effDay;
    IBOutlet LinerGauge     *effDayG;
    IBOutlet UILabel        *effAve;
    IBOutlet LinerGauge     *effAveG;
    
    IBOutlet UILabel        *stopTim;
    IBOutlet UILabel        *fuse_d;
    IBOutlet UILabel        *dist_d;
    IBOutlet UILabel        *runtmDay;
    IBOutlet UIProgressView *runtmDayG;
    
    IBOutlet UILabel        *remainFuel;
    IBOutlet UIProgressView *remainFuelG;
    IBOutlet UILabel        *remainDist;
    IBOutlet UILabel        *ect;
    IBOutlet UIProgressView *ectG;
    IBOutlet UILabel        *vpwr;
    IBOutlet UIProgressView *vpwrG;
}

@end
